LibreOffice: XReadWriteAccess Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Exported Interfaces | List of all members
XReadWriteAccess Interface Reference

`import"XReadWriteAccess.idl";`

Inheritance diagram for XReadWriteAccess:

## Exported Interfaces
interface | com::sun::star::container::XHierarchicalNameReplace
interface | com::sun::star::util::XChangesBatch
interface | com::sun::star::beans::XHierarchicalPropertySetInfo

## Additional Inherited Members
Public Member Functions inherited from XHierarchicalNameReplace
void | replaceByHierarchicalName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified name. More...
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XChangesBatch
void | commitChanges () raises ( com::sun::star::lang::WrappedTargetException )
| commits any pending changes. More...
boolean | hasPendingChanges ()
| checks whether this object has any pending changes that can be committed. More...
ChangesSet | getPendingChanges ()
| queries for any pending changes that can be committed. More...
Public Member Functions inherited from XHierarchicalPropertySetInfo
com::sun::star::beans::Property | getPropertyByHierarchicalName ([in] string aHierarchicalName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByHierarchicalName ([in] string aHierarchicalName)

## Exported Interfaces

## ◆ com::sun::star::beans::XHierarchicalPropertySetInfo

interface com::sun::star::beans::XHierarchicalPropertySetInfo

## ◆ com::sun::star::container::XHierarchicalNameReplace

interface com::sun::star::container::XHierarchicalNameReplace

## ◆ com::sun::star::util::XChangesBatch

interface com::sun::star::util::XChangesBatch

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/XReadWriteAccess.idl